package com.jxml.quick.tf;
import com.jxml.quick.*;
import com.jxml.quick.access.*;
import java.beans.*;
import java.lang.reflect.*;

public class QTFWrapper implements QTargetFactory
{
    public QTargetFactory targetFactory=null;

    public Object create(QContext context)
	throws QPE
    {
	return targetFactory.create(context);
    }

    public boolean isInstance(Object object, QContext context)
	throws QPE
    {
	return targetFactory.isInstance(object,context);
    }

    public String getName(Object object)
    {
	return targetFactory.getName(object);
    }

    public String getText(Object object, 
			  QContext context)
	throws QPE
    {
	return targetFactory.getText(object,context);
    }

    public void add(Object object, 
		    String name, 
		    String text,
		    QAccess access,
		    Object parent,
		    QTargetFactory parentFactory,
		    QContext context)
	throws QPE
    {
	targetFactory.add(object,name,text,access,parent,parentFactory,context);
    }

    public PropertyDescriptor[] getPropertyDescriptors(QContext context)
	throws QPE
    {
	return targetFactory.getPropertyDescriptors(context);
    }

    public Field[] getFields(QContext context)
	throws QPE
    {
	return null;
    }
}
